com.sun.jna.platform.win32

## Class WinNT.ACL

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACL

Enclosing interface:
  WinNT

    public static class WinNT.ACL
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`short` `AceCount`
`byte` `AclRevision`
`short` `AclSize`
`static java.util.List<java.lang.String>` `FIELDS`
`static int` `MAX_ACL_SIZE`
`byte` `Sbz1`
`short` `Sbz2`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ACL()`
`ACL(int size)`
`ACL(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinNT.ACCESS_ACEStructure[]` `getACEStructures()`
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### MAX_ACL_SIZE

    public static int MAX_ACL_SIZE

#### AclRevision

    public byte AclRevision

#### Sbz1

    public byte Sbz1

#### AclSize

    public short AclSize

#### AceCount

    public short AceCount

#### Sbz2

    public short Sbz2

### Constructor Detail

#### ACL

    public ACL()

#### ACL

    public ACL(int size)

#### ACL

    public ACL(Pointer pointer)

### Method Detail

#### getACEStructures

    public WinNT.ACCESS_ACEStructure[] getACEStructures()

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.